-- Copyright (c) Huawei Technologies Co., Ltd. 2025. All rights reserved.
--
-- this file licensed under the Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
-- PURPOSE.
-- See the Mulan PSL v2 for more details.

local dfx = {}

function dfx.new()
    return dfx
end

function dfx:get_chip_die_id()
    return {
        0x25cf29d4, 0x04c13518, 0xd1d85ad5, 0x0a7c550a, 0x000fce63, 0xa0000000, 0x7000a007, 0x00005403, 0x190cc1a4,
        0xcc1fc0b8, 0x711d6e14, 0x80001001
    } -- 模拟DIEID
end

return dfx